man(8)

NAME
pkgos-check-changelog - look for errors of sorting by versions and formatting errors in debian changelog and try to correct them.

SYNOPSIS
pkgos-check-changelog [-a yes|no] [-e disable|notification|perform] [-f <path_to_the_changelog>] [-s disable|notification|perform] [-h]

DESCRIPTION
pkgos-check-changelog tries to find errors of sorting by versions and formatting errors in debian changelog and according to options of the script can display or tries to correct them. Also script has ability to detect situation when newer version of package is older then previous packages.

OPTIONS

-a  If parameter set yes - tells to script display information about found anomalies.

-e  Setting up mode for finding format errors. Disable means do not perform search of formatting errors, notification - only display errors and perform - try to correct found errors.

-f  <path> Setting up path to the changelog file.

-s  Setting up mode for sorting by version. Disable - turm off, notification - display the difference betwean exist sorting versions order and proposed, perform - try to correct sorting order.

-h  Show help message.

BUGS
No known bugs.

AUTHOR
Andrii Kroshchenko <akroshchenko@mirantis.com>